# generateModifierType | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function generateModifierType

- generateModifierType(
  modifier: () => ModifierType ,
  pregenArgs?: any[],
  ): null | ModifierType

  Converts modifier bullshit to an actual item

  #### Parameters

  - modifier: () => ModifierType
  - `Optional` pregenArgs: any[]

    Can specify BerryType for berries, TM for TMs, AttackBoostType for item, etc.

  #### Returns null | ModifierType

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:514